# AIVehicleList_Group Class Reference
[Classes that create a list of items.]

Creates a list of vehicles that are in a group. More...

`#include <ai_vehiclelist.hpp>`

Inheritance diagram for AIVehicleList_Group:

## Public Member Functions
| AIVehicleList_Group (GroupID group_id)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of vehicles that are in a group.

Definition at line 83 of file ai_vehiclelist.hpp.

## Constructor & Destructor Documentation

AIVehicleList_Group::AIVehicleList_Group | ( | GroupID | group_id | ) |

Parameters:

  | group_id | The ID of the group the vehicles are in.

Definition at line 108 of file ai_vehiclelist.cpp.

References _current_company, AIList::AddItem(), FOR_ALL_VEHICLES, Vehicle::group_id, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, Vehicle::IsPrimaryVehicle(), AIGroup::IsValidGroup(), and Vehicle::owner.

## Member Function Documentation

static const char* AIVehicleList_Group::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 86 of file ai_vehiclelist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_vehiclelist.hpp
- src/ai/api/ai_vehiclelist.cpp